---
apiVersion: tuned.openshift.io/v1
kind: Tuned
metadata:
  annotations:
    kubectl.kubernetes.io/last-applied-configuration: |
      {"apiVersion":"tuned.openshift.io/v1","kind":"Tuned","metadata":{"annotations":{},"name":"hugepages","namespace":"openshift-cluster-node-tuning-operator"},"spec":{"profile":[{"data":"[main]\nsummary=Boot time configuration for hugepages\ninclude=openshift-node\n[bootloader]\n# Allocate max_numa_nodes(=4)×64×2Mi pages and 4×1Gi pages\n# Since the hugepages are spread evenly across all NUMA nodes,\n# we need to ensure all NUMA nodes have at least 64 hugepages\n# if the KubeVirt VM is scheduled with all its CPU on the same\n# NUMA node.\ncmdline_openshift_node_hugepages=default_hugepagesz=2M hugepages=256 hugepagesz=1G hugepages=4\n","name":"openshift-node-hugepages"}],"recommend":[{"machineConfigLabels":{"machineconfiguration.openshift.io/role":"master"},"priority":25,"profile":"openshift-node-hugepages"}]}}
  creationTimestamp: "2025-10-27T12:07:39Z"
  generation: 1
  managedFields:
  - apiVersion: tuned.openshift.io/v1
    fieldsType: FieldsV1
    fieldsV1:
      f:status:
        .: {}
        f:conditions: {}
    manager: cluster-node-tuning-operator
    operation: Update
    subresource: status
    time: "2025-10-27T12:07:39Z"
  - apiVersion: tuned.openshift.io/v1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:annotations:
          .: {}
          f:kubectl.kubernetes.io/last-applied-configuration: {}
      f:spec:
        .: {}
        f:profile: {}
        f:recommend: {}
    manager: kubectl-client-side-apply
    operation: Update
    time: "2025-10-27T12:07:39Z"
  name: hugepages
  namespace: openshift-cluster-node-tuning-operator
  resourceVersion: "32464"
  uid: ce1f7c0c-f63a-479a-9eb9-af4e38719af1
spec:
  profile:
  - data: |
      [main]
      summary=Boot time configuration for hugepages
      include=openshift-node
      [bootloader]
      # Allocate max_numa_nodes(=4)×64×2Mi pages and 4×1Gi pages
      # Since the hugepages are spread evenly across all NUMA nodes,
      # we need to ensure all NUMA nodes have at least 64 hugepages
      # if the KubeVirt VM is scheduled with all its CPU on the same
      # NUMA node.
      cmdline_openshift_node_hugepages=default_hugepagesz=2M hugepages=256 hugepagesz=1G hugepages=4
    name: openshift-node-hugepages
  recommend:
  - machineConfigLabels:
      machineconfiguration.openshift.io/role: master
    priority: 25
    profile: openshift-node-hugepages
status:
  conditions:
  - lastTransitionTime: "2025-10-27T12:07:39Z"
    reason: AsExpected
    status: "True"
    type: Valid
